class UnitedPaymentAPIException(Exception):
    """Exception for errors in the UnitedPaymentAPI."""

    error_codes = {
        "E000": "Data not found.",
        "E001": "Registration exists.",
        "E002": "A system error occurred.",
        "E003": "Phone format is incorrect (994XXXXXXXXX).",
        "E007": "The relevant fields must be filled.",
        "E009": "The name field must be filled.",
        "E014": "Wallet information not found.",
        "E015": "Login information is incorrect.",
        "E016": "User information is incorrect.",
        "E019": "ID number is mandatory.",
        "E083": "Customer information not found.",
        "E108": "RRN not found.",
        "E172": "Member ID is mandatory.",
        "E175": "ApproveURL must be provided.",
        "E176": "CancelURL must be provided.",
        "E177": "DeclineURL must be provided.",
        "E200": "An unknown error occurred, please try again later.",
        "E202": "Your payment was not completed. Please check again.",
        "E203": "The CVV code was entered incorrectly.",
        "E204": "The amount entered is incorrect.",
        "E205": "The transaction is not permitted. Please contact your bank.",
        "E206": "Customer information was entered incorrectly.",
        "E207": "The card's expiration date has passed.",
        "E208": "The confirmation code is incorrect.",
        "E209": "Repeated transaction attempt.",
        "E210": "Incorrect OTP code.",
        "E211": "Withdrawal transaction failed. For more information, contact the *2080 Call Center.",
        "E212": "The amount exceeds the limit.",
        "E213": "3D Secure is inactive.",
        "E214": "The OTP code has expired.",
        "E215": "The card status is inactive. Please contact your bank.",
        "E216": "The card number was entered incorrectly.",
        "E217": "User information is incorrect.",
        "E218": "Insufficient funds in the balance.",
        "E219": "Declined by the customer.",
        "E220": "The transaction has been canceled (reversal).",
        "E221": "Refunded transaction.",
        "E222": "Incomplete request - Pre status.",
        "E223": "Pending transaction.",
        "E224": "Decline.",
        "E225": "Expired request.",
        "E226": "Failed transaction.",
        "E901": "Network error.",
        "E902": "Transaction is in progress.",
        "E999": "Undefined general error."
    }
